Subject: Re: [PATCH] tcp: Socket option to set congestion window

From: Denys Fedorysychenko <[email-masked]>
Date: Wed, 26 May 2010 20:41:01 +0300

On Wednesday 26 May 2010 20:33:46 Andi Kleen wrote:
> Tom Herbert <[email-masked]> writes:
> > Thanks to NAT, the concept of a network path or even host specific
> > path is a weakened concept.  On the Internet this may be a path
> > characteristic per client, which unfortunately has no visibility in
> > the kernel other than per connection state.  When a single IP address
> > may have thousands of hosts behind it, caching TCP parameters for that
> > IP address is implicitly doing a huge aggregation-- probably dicey...
> 
> Yes all of Saudi-Arabia used to be (is?) one IP address...
> 
> Caching anything per IP is bogus.
> 
> -Andi
> 
In Lebanon i have around 30k users behind few IP addresses(around 6) (for 
web).
Because backbone here $1200/Mbit, and satellites mostly(rtt 400+ ms)... so TCP 
accelerators and caching proxy a must. Tproxy doesn't work well yet to use 
full set of ip's.

And no local google/youtube servers, so maybe i'm affected by something? :-)